Page MenuHomeFreeBSD

Remove support for variables that have been deprecated for a while.
ClosedPublic

Authored by mat on Dec 14 2017, 2:48 PM.

Details

Summary

To be exact:

variabledeprecation addedrevisionplanned expiration date
WITHOUT_NLS2013-12-13rP336337
WITH_/WITHOUT_2014-02-24rP345870
NOPORTDOCS/NOPORTEXAMPLES2014-04-19rP351587
WITH_BDB_VER2016-05-02rP4144442016-08-01
OVERRIDE_LINUX_BASE_PORT2016-09-05rP421387
WITH_OPENSSL_2016-06-16rP416965
Test Plan

I expect a big fallout from removing the way PORTDOCS/PORTEXAMPLES work, but it is unavoidable, and easily fixed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat created this revision.Dec 14 2017, 2:48 PM
mat updated this revision to Diff 36591.Dec 14 2017, 2:54 PM
  • Of course, someone did that.
  • Also remove WITH_/WITHOUT_ support as I said.
mat updated this revision to Diff 36592.Dec 14 2017, 3:03 PM
  • Add a WARNING about the WITH_/WITHOUT_.
mat updated this revision to Diff 36593.Dec 14 2017, 3:07 PM
  • Make it more clear.
mat updated this revision to Diff 36594.Dec 14 2017, 3:14 PM
  • Make it actually work.
mat updated this revision to Diff 36595.Dec 14 2017, 3:21 PM
  • Add WITH_BDB_VER to the list of removed stuff.
mat retitled this revision from Remove support for NOPORTDOCS, NOPORTDOCS and WITHOUT_NLS, they have been deprecated for a while. to Remove support for variables that have been deprecated for a while..Dec 14 2017, 3:22 PM
mat edited the summary of this revision. (Show Details)
mat edited the summary of this revision. (Show Details)Dec 14 2017, 3:30 PM
mat edited the summary of this revision. (Show Details)Dec 14 2017, 3:30 PM
mat updated this revision to Diff 36596.
  • OVERRIDE_LINUX_BASE_PORT.
  • WITH_OPENSSL_*
mat edited the test plan for this revision. (Show Details)Dec 14 2017, 3:37 PM
bapt accepted this revision.Dec 14 2017, 3:49 PM
bapt added a subscriber: bapt.

I expect fallouts so some exp-run would be nice.
Part of this can be committed right now already.

chinese/libtabe/Makefile
48 ↗(On Diff #36596)

Can be committed now :)

chinese/p5-Lingua-ZH-TaBE/Makefile
37 ↗(On Diff #36596)

This can be committed separatly as in now :)

databases/ruby-bdb/Makefile
12 ↗(On Diff #36596)

Can be committed now :)

www/rubygem-passenger/Makefile
47 ↗(On Diff #36596)

Can be committed now :)

This revision is now accepted and ready to land.Dec 14 2017, 3:49 PM
mat added a comment.Dec 14 2017, 4:48 PM
In D13490#281980, @bapt wrote:

I expect fallouts so some exp-run would be nice.

Well, I was expecting fallout, but %%PORTDOCS%% and %%PORTEXAMPLES%% work by looking if the option is there, not if the option really exists. I'll patch it a bit more.

mat updated this revision to Diff 36601.Dec 14 2017, 4:49 PM
  • There was a hidden NOPORTxxx here.
  • Only set PORTDOCS/PORTEXAMPLES if their respective options are in OPTIONS_DEFINE.
This revision now requires review to proceed.Dec 14 2017, 4:49 PM
mat added a comment.Dec 14 2017, 4:50 PM

Ok, so with the latest patch, things error out with a:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/3.4.0_to_4.1.0_schema.pgsql.sql
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/dnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/nodnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/schema.pgsql.sql
Error: Orphaned: %%PORTEXAMPLES%%%%EXAMPLESDIR%%/pdns.conf
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/3.4.0_to_4.1.0_schema.pgsql.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/dnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/nodnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/schema.pgsql.sql
Error: Missing: %%PORTEXAMPLES%%@dir %%EXAMPLESDIR%%
Error: Missing: %%PORTEXAMPLES%%%%EXAMPLESDIR%%/pdns.conf

Which is going to get some wtf from people :-)

eadler added a subscriber: eadler.Dec 15 2017, 12:45 AM

LGTM overall

Mk/bsd.sanity.mk
6–8 ↗(On Diff #36601)

eh, I'd just remove this. years of warnings is enough

bapt added inline comments.Dec 15 2017, 4:46 PM
Mk/bsd.sanity.mk
6–8 ↗(On Diff #36601)

I disagree we should say it is unsupported and even maybe replace the WARNING with an ERROR imho.

Poisonning variables that used to be documented and used for a while is very important. Lots of old documentation are still available online, on random blogs etc.

adamw added a subscriber: adamw.Dec 15 2017, 4:59 PM
adamw added inline comments.
Mk/bsd.sanity.mk
6–8 ↗(On Diff #36601)

@eadler: Join ports@ and answer the same question over and over again and you'll see why error conditions need to be spelled out explicitly :-)

mat added inline comments.Dec 15 2017, 8:49 PM
Mk/bsd.sanity.mk
6–8 ↗(On Diff #36601)

I was considering adding an ERROR variable, maybe I will, to make sure people update their systems.

mat updated this revision to Diff 36857.Dec 21 2017, 11:29 AM

Remove the last commit, it'll be done in a different review.

mat updated this revision to Diff 37086.Dec 27 2017, 1:17 PM

rebase.

mat updated this revision to Diff 37087.Dec 27 2017, 1:31 PM
  • Move WARNING to b.sanity.m.
mat updated this revision to Diff 37088.Dec 27 2017, 1:34 PM
  • Add a show-error target that, well, show errors, and move NOPORTDOCS,
mat updated this revision to Diff 37089.Dec 27 2017, 1:41 PM
  • These are actually user facing variables, not dev ones.
mat updated this revision to Diff 37090.Dec 27 2017, 1:48 PM
  • correct target name.
  • A bit more verbose about what to do.
mat updated this revision to Diff 37092.Dec 27 2017, 1:52 PM
  • This is not needed.
mat updated this revision to Diff 37096.Dec 27 2017, 4:40 PM
  • Make this an error too.
mat updated this revision to Diff 37097.Dec 27 2017, 4:44 PM
  • Remove this line.
mat updated this revision to Diff 37131.Dec 28 2017, 12:12 PM
  • Cleanup bsd.sanity.mk a bit more.
mat marked 8 inline comments as done.Dec 28 2017, 12:30 PM
mat updated this revision to Diff 37517.Jan 4 2018, 3:15 PM
  • Fix fallout.
This revision was not accepted when it landed; it landed in state Needs Review.Jan 9 2018, 7:41 AM
This revision was automatically updated to reflect the committed changes.